<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="editUser"
                header="Editar Registro de Pago"
                widgetVar="EditarregistroPago"
                modal="true"
                resizable="false"
                closable="true"
                width="650" >
                <h:panelGroup id="detalleEditarPago">
                    <br/><br/>
                    <h:form id="editPagos">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <p:inputText value="#{pagosMB.registroSeleccionado.id}" id="id" type="hidden" />
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id2" value="#{pagosMB.registroSeleccionado.id}" readonly="true" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                            </p:column>

                            <p:column>
                                <h:outputLabel for="descripcion" value="Descripción: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="descripcion" value="#{pagosMB.registroSeleccionado.descripcion}" style="width: 350px" required="true" requiredMessage="El campo número de  es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="monto11" value="Monto:  " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="monto11" value="#{pagosMB.registroSeleccionado.monto}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="fecha" value="Fecha: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:calendar id="fecha" value="#{pagosMB.registroSeleccionado.fechat}"  style="width: 350px" pattern="yyyy-MM-dd" mask="true" />
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="prod" value="Productor: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                <p:selectOneMenu id="prod"  value="#{pagosMB.registroSeleccionado.idproductor}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{pagosMB.productores}"
                                    var="registrop"
                                    itemLabel="#{registrop.nombre} "
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="tipop" value="Tipo de pago: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                <p:selectOneMenu id="tipop"  value="#{pagosMB.registroSeleccionado.idtipopago}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{pagosMB.tipoPagosP}"
                                    var="registrop"
                                    itemLabel="#{registrop.nombre} "
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <p:commandButton 
                                    value="Modificar" 
                                    icon="ui-icon-circle-plus" style="font-size:  100%"
                                    action="#{pagosMB.editarRegistroPagos
                                              ( pagosMB.registroSeleccionado,
                                              pagosMB.registroSeleccionado.idtipopago,
                                                pagosMB.registroSeleccionado.idproductor)}">                        
                                </p:commandButton>
                            </p:column>
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    icon="ui-icon-circle-close"
                                    style="font-size:  100%"
                                    onclick="PF('EditarregistroPago').hide();">
                                </p:commandButton>
                            </p:column>
                        </h:panelGrid>  
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
